<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'FeaturedAddOnsCardBlock',

  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
    isSelfManaged: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
});
</script>

<template>
  <a
    class="featured-add-ons-card"
    :href="data.link.url"
    :data-ga-name="data.link.data_ga_name"
    :data-ga-location="data.link.data_ga_location"
  >
    <SlpRow>
      <SlpColumn :col="6">
        <div class="featured-add-ons-card__background">
          <img
            src="https://images.ctfassets.net/xz1dnu24egyd/1j6GPXltOtnTgWZzc9GH3V/574206bb2ed5c3c77ec1c715aec160bb/Group_7072.svg"
            alt=""
          />
        </div>
        <div class="featured-add-ons-card__left-content">
          <SlpPillButton v-if="data.pill" type="true" class="slp-mb-16">
            {{ data.pill }}
          </SlpPillButton>
          <SlpTypography variant="heading3-bold" tag="h2" class="slp-mb-16"
            >{{ data.title }}
          </SlpTypography>
          <div v-if="data.features?.list" :col="6">
            <ul class="slp-mt-24 slp-mb-16">
              <li
                v-for="feature in data.features.list"
                :key="feature.text"
                class="featured-add-ons-card__item"
              >
                <div class="text">
                  <SlpIcon
                    class="features-icon slp-mr-8"
                    name="check"
                    variant="product"
                  />
                  <SlpTypography variant="body2" tag="span">
                    {{ feature.text }}</SlpTypography
                  >
                </div>
              </li>
            </ul>
            <div
              v-if="data.list_footnote"
              v-html="$md.render(data.list_footnote)"
            ></div>
          </div>
          <SlpTypography
            variant="body3"
            tag="div"
            class="slp-mt-16 featured-add-ons-card__note-type"
            >{{ data.block_note }}
          </SlpTypography>
        </div>
      </SlpColumn>
      <SlpColumn :col="6">
        <div class="featured-add-ons-card__card pricing-card">
          <div class="featured-add-ons-card__card-container">
            <SlpTypography
              v-if="data.heading"
              variant="heading4"
              class="featured-add-ons-card__card_heading"
              tag="h3"
              >{{ data.heading }}
            </SlpTypography>
            <div>
              <div class="featured-add-ons-card__card_price">
                <SlpTypography variant="heading1-bold" tag="h4"
                  >${{ data.price }}
                </SlpTypography>
                <div class="details">
                  <SlpTypography variant="body2" tag="p"
                    >{{ data.price_info }}
                  </SlpTypography>
                  <SlpTypography variant="body2" tag="p"
                    >{{ data.description }}
                  </SlpTypography>
                </div>
              </div>
            </div>

            <SlpTypography
              variant="body2-bold"
              tag="span"
              class="featured-add-ons-card__link slp-py-16 slp-my-8"
            >
              <span> {{ data.link.text }}</span>
              <SlpIcon
                name="chevron-lg-right"
                variant="product"
                slp-color="primary-200"
                alt="Chevron Right Icon"
              />
            </SlpTypography>
          </div>
        </div>

        <div
          v-if="isSelfManaged && data.self_managed_note"
          class="featured-add-ons-card__note slp-mr-16 slp-pt-16"
        >
          <SlpTypography variant="body3" tag="span"
            >{{ data.self_managed_note }}
          </SlpTypography>
        </div>
        <div v-if="data.card_note" class="slp-mt-16">
          <SlpTypography
            variant="body3"
            tag="div"
            class="featured-add-ons-card__note"
          >
            <span> {{ data.card_note }}</span>
          </SlpTypography>
        </div>
      </SlpColumn>
    </SlpRow>
  </a>
</template>

<style lang="scss" scoped>
.featured-add-ons-card {
  background-color: $color-primary-200;
  border-radius: 12px;
  color: #fff;
  display: block;
  transition: all 0.3s ease-in;
  padding: $spacing-24;
  position: relative;
  @media (min-width: $breakpoint-md) {
    padding: 40px 64px;
  }
  &:hover {
    box-shadow: 0 24px 50px -16px #d1d0d3;
  }
  :deep {
    sup {
      position: absolute;
      font-size: 24px;
      font-style: normal;
      font-weight: 600;
      line-height: 32px; /* 133.333% */
      letter-spacing: -0.72px;
    }
    .slp-pill-btn {
      cursor: default;
      padding: 4px 12px;
      .slp-icon {
        display: none;
      }
    }
  }
  &__card_container {
    width: 100%;
  }

  &__subtitle {
    @media (min-width: $breakpoint-lg) {
      width: 60%;
    }
    margin-bottom: 40px;
  }

  &__card {
    border-radius: 12px;
    display: flex;
    padding: $spacing-24;
    background-color: white;
    margin-top: $spacing-8;
    height: auto;
    color: $color-text-300;
    @media (min-width: $breakpoint-md) {
      margin-top: 0;
    }
    @media (min-width: $breakpoint-lg) {
      width: 100%;
      // width: 440px;
      padding: 50px;
    }

    &_heading {
      margin-bottom: 40px;
      color: $color-text-300;
    }

    &_price {
      display: flex;
      flex-direction: row;
      align-items: center;
      margin-bottom: $spacing-24;
      padding: $spacing-32 h1 {
        color: $color-text-300;
      }
      .details {
        margin-left: 40px;
        max-width: inherit;
        word-break: break-word;
        color: $color-text-link-100;
        p {
          font-weight: bold;
        }
      }
    }
    :deep {
      .slp-pill-btn {
        cursor: default;
        padding: 4px 12px;
        .slp-icon {
          display: none;
        }
      }
      .list {
        margin-bottom: 0;
      }
    }
  }

  .pricing-card {
    @media (max-width: $breakpoint-sm) {
      margin-top: 32px;
    }
  }

  &__link {
    color: black;
    display: block;
    padding-right: 20px;
    position: relative;

    .slp-icon {
      width: 18px;
      height: 20px;
      display: inline-flex;
      position: relative;
      :deep div {
        position: absolute;
        top: 2px;
        left: 0;
      }
    }
    &--hide-on-mobile {
      display: none;
      @media (min-width: $breakpoint-md) {
        display: block;
      }
    }
    &--hide-on-desktop {
      display: block;
      @media (min-width: $breakpoint-md) {
        display: none;
      }
    }
  }
  &__note {
    color: $color-surface-400;
    margin-top: auto;
    font-style: italic;
  }
  &__card-container {
    display: flex;
    flex-direction: column;
  }
  &__left-content {
    @media (min-width: $breakpoint-lg) {
      padding-right: $spacing-64;
    }
  }
  &__sm-note {
    margin-bottom: $spacing-24;
    @media (min-width: $breakpoint-md) {
      margin-bottom: 0;
    }
  }
  :deep {
    .slp-col-md {
      width: 100%;
      position: relative;
    }
  }
  &__background {
    position: absolute;
    right: $spacing-64;
    top: 0;
  }
  &__icon {
    width: 12px;
    height: 11px;
    margin-right: $spacing-16;
    position: relative;

    img {
      position: absolute;
      left: 0;
      top: 0;
    }
  }
  &__item {
    display: flex;
    align-items: center;
    margin-top: $spacing-8;
    .text {
      line-height: 1;
      display: flex;
    }
    .features-icon {
      color: #70d7c6;
    }
    &:first-of-type {
      margin-top: $spacing-16;
    }
  }
  &__note-type {
    color: $color-surface-300;
    font-style: italic;
  }
  :deep {
    blockquote {
      color: $color-surface-300;
      font-style: italic;
      font-size: 14px;
      margin-top: $spacing-16;
      display: block;
    }
  }
}
</style>
